%{!?_licensedir: %global license %%doc}

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               poor-man-ci
Version:            0.4.4
Release:            3%{?dist}
Summary:            Integrate Pagure with Jenkins

Group:              Development/Libraries
License:            GPLv2+
Source0:            %{name}-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools

BuildRequires:      fedmsg
BuildRequires:      python-fedmsg-consumers
BuildRequires:      python-requests
BuildRequires:      python-jenkins
BuildRequires:      python-nose
BuildRequires:      python-mock
BuildRequires:      python-fedora
BuildRequires:      python-fedora-flask
BuildRequires:      python-flask
BuildRequires:      python-sqlalchemy
BuildRequires:      python-flask-wtf
BuildRequires:      python-wtforms
BuildRequires:      python-openid-cla


Requires:           fedmsg
Requires:           python-fedmsg-consumers
Requires:           python-requests
Requires:           python-jenkins
Requires:           python-fedora
Requires:           python-fedora-flask
Requires:           python-flask
Requires:           python-flask-wtf
Requires:           python-sqlalchemy
Requires:           python-wtforms
Requires:           python-openid-cla

%description

%prep
%setup -q -n %{name}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{name}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
cp createdb.py %{buildroot}%{_bindir}/poormanci-createdb
rm -rf %{buildroot}%{python2_sitelib}/test

%check
nosetests -v


%files
%license LICENSE
%{_bindir}/*
%{python2_sitelib}/poormanci/*
%{python2_sitelib}/poor_man_ci*

%changelog
* Thu Mar 02 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.4-3
- Disable verifying signatures in tests

* Tue Feb 28 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.4-2
- Bump to rebuild for EL7

* Sun Aug 14 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.4-1
- Handle repeated confirmations

* Thu Jul 28 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.3-1
- Fix typo in README
- Change URLs to https://

* Thu Jul 28 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.2-1
- Fix version in footer

* Thu Jul 28 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.1-1
- Fix Jenkins hook

* Tue May 31 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.4.0-1
- Track Jenkins builds

* Tue May 24 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.3.10-1
- Add support for pull requests against any branch
- Simplify example Fedmsg config

* Sat Apr 23 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.3.9-1
- Update README
- Add help page

* Mon Apr 18 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.8-1
- Improve looks on small displays
- Set up database migrations
- Support multiple integration points for single Pagure project

* Sat Mar 26 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.6-1
- Add logging to web ui

* Sat Mar 26 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.5-1
- Generate proper url for PRs from non-forks

* Fri Mar 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.4-1
- Add support for Jenkins Notification Plugin
- Stop displaying Pagure hook

* Sun Mar 20 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.3-1
- Do not require any FAS groups

* Wed Mar 16 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.2-1
- Prefer global settings

* Mon Mar 14 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.1-1
- Fix connecting to database in web ui

* Sun Mar 13 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.0-4
- Install server files

* Sat Mar 12 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.3.0-1
- Provide web interface for configuration
- Store configuration in database

* Thu Mar 10 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.7-2
- Make tests more verbose

* Thu Mar 10 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.7-1
- Add tests and enable them during RPM build

* Thu Mar 10 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.6-1
- Do not use uid on flag

* Thu Mar 10 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.5-1
- Improve logging

* Thu Mar 10 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.4-1
- Log details of failed request

* Wed Mar 09 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.3-1
- Don't crash when Jenkins message is not interesting

* Wed Mar 09 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.2-1
- Use custom text for build status

* Wed Mar 09 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.1-1
- Fix bad processing of Pagure messages

* Wed Mar 09 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.2.0-1
- Simplify determining if PR is rebased
- Use flags instead of comments in Pagure

* Tue Mar 08 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.2-1
- Do not crash on Jenkins messages without reference to PR

* Tue Mar 08 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.1-1
- Use correct Jenkins trigger URL

* Tue Mar 08 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.0-1
- Initial packaging
